Restore Archived Question
curl --request POST \
--url https://api.egp.scale.com/v5/questions/{question_id}/restore \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/questions/{question_id}/restore"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/questions/{question_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"prompt": "<string>",
"configuration": {
"choices": [
"<string>"
],
"multi": true,
"dropdown": true
},
"object": "question",
"conditions": [
{}
],
"archived_at": "2023-11-07T05:31:56Z",
"question_type": "categorical"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Questions
Restore Archived Question
POST
/
v5
/
questions
/
{question_id}
/
restore
Restore Archived Question
Authorizations
Headers
Path Parameters
Response
Successful Response
- Question
- Question
- Question
- Question
- Question
- Question
Unique identifier of the entity
The identity that created the entity.
Show child attributes
Show child attributes
ISO-timestamp when the entity was created
user-facing question prompt
Show child attributes
Show child attributes
Allowed value:
"question"Conditions for the question to be shown
ISO-timestamp when the entity was archived
Allowed value:
"categorical"
